Upgrading Lenny to Squeeze

Last Lenny upgrade

apt-get update
apt-get upgrade
apt-get dist-upgrade

Falls beim Upgrade die Fehlermeldung “The following packages have been kept back” auftaucht findet ihr hier die Lösung. Den neuen Paket-Mirror eintragen:

Change Sources

Dazu ändern wir die Datei sources.list, die Ihr bei der Standardinstallation unter /etc/apt/ findet. Diese Datei könnt ihr mit eurem Lieblingseditor bearbeiten. Ich persönlich verwende hier den “vi”.

vi /etc/apt/sources.list

Now we change “lenny” to “squeeze”. When finished it should look like.

deb http://ftp.de.debian.org/debian/ squeeze main non-free contrib
deb-src http://ftp.de.debian.org/debian/ squeeze main non-free contrib

deb http://security.debian.org/ squeeze/updates main non-free contrib
deb-src http://security.debian.org/ squeeze/updates main non-free contrib

Upgrade to Squeeze

Start the upgrade:

Update the package lists:

apt-get update

Install apt, dpkg and aptitude. Once these packages are installed, it doesn't matter what happens you can recover from just about any errors.

apt-get install apt dpkg aptitude

And now the actual upgrade to Squeeze.

apt-get dist-upgrade
/var/customers/webs/cw01/wiki/data/pages/debian/upgradelennytosqueeze.txt · Last modified: 2012/11/28 11:48 by wadmin
 
Except where otherwise noted, content on this wiki is licensed under the following license: CC Attribution-Noncommercial-Share Alike 3.0 Unported
Recent changes RSS feed Donate Powered by PHP Valid XHTML 1.0 Valid CSS Driven by DokuWiki